org.jboss.jca.common.metadata.common

## Class SecurityImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.common.SecurityImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.common.Security, org.jboss.jca.common.api.metadata.common.SecurityMetadata, org.jboss.jca.common.api.metadata.JCAMetadata, org.jboss.jca.common.api.metadata.ValidatableMetadata

      public class SecurityImpl
      extends java.lang.Object
      implements org.jboss.jca.common.api.metadata.common.Security

  A SecurityImpl.
  Author:
    Stefano Maestri
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.common.Security

      `org.jboss.jca.common.api.metadata.common.Security.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityImpl(java.lang.String securityDomainManaged, java.lang.String securityDomainAndApplicationManaged, boolean applicationManaged)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getSecurityDomain()` get the security domain for pure security-domain security management
    `java.lang.String` | `getSecurityDomainAndApplication()` get the security domain for security-domain/application hybrid security management
    `int` | `hashCode()`
    `boolean` | `isApplication()` Indicates that app supplied parameters (such as from getConnection(user, pw)) are used to distinguish connections in the pool.
    `java.lang.String` | `resolveSecurityDomain()` Get the security domain for security-domain security management
    `java.lang.String` | `toString()`
    `void` | `validate()` Validate this metadata according validation required by specification

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityImpl

          public SecurityImpl(java.lang.String securityDomainManaged,
                              java.lang.String securityDomainAndApplicationManaged,
                              boolean applicationManaged)
                       throws org.jboss.jca.common.api.validator.ValidateException

      Constructor
      Parameters:
        `securityDomainManaged` - securityDomainManaged
        `securityDomainAndApplicationManaged` - securityDomainAndApplicationManaged
        `applicationManaged` - applicationManagedS
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - ValidateException

  - ### Method Detail

    - #### getSecurityDomain

          public java.lang.String getSecurityDomain()

      get the security domain for pure security-domain security management
      Specified by:
        `getSecurityDomain` in interface `org.jboss.jca.common.api.metadata.common.Security`
      Returns:
        the security-domain to use

    - #### getSecurityDomainAndApplication

          public java.lang.String getSecurityDomainAndApplication()

      get the security domain for security-domain/application hybrid security management
      Specified by:
        `getSecurityDomainAndApplication` in interface `org.jboss.jca.common.api.metadata.common.Security`
      Returns:
        the security-domain to use

    - #### isApplication

          public boolean isApplication()

      Indicates that app supplied parameters (such as from getConnection(user, pw)) are used to distinguish connections in the pool.
      Specified by:
        `isApplication` in interface `org.jboss.jca.common.api.metadata.common.Security`
      Returns:
        the boolean indicating the appl supplier is considered or not. Default false.

    - #### resolveSecurityDomain

          public java.lang.String resolveSecurityDomain()

      Get the security domain for security-domain security management
      Specified by:
        `resolveSecurityDomain` in interface `org.jboss.jca.common.api.metadata.common.SecurityMetadata`
      Returns:
        the security-domain to use

    - #### validate

          public void validate()
                        throws org.jboss.jca.common.api.validator.ValidateException

      Validate this metadata according validation required by specification
      Specified by:
        `validate` in interface `org.jboss.jca.common.api.metadata.ValidatableMetadata`
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - in case of validation fail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)